Subject: Re: [RFC] Replace rebase with filtering

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 16 Jan 2007 16:22:19 -0500

Jakub Narebski <[email-masked]> wrote:
> Steven Grimm wrote:
> > Okay, great, that is certainly an improvement over what I thought was 
> > happening. But it won't work if you had to manually resolve a conflict 
> > during the rebase, yes? In that case the diffs would presumably not match.
> 
> Then git-rerere would help, I think.

No, because rerere only helps to recall a prior conflict resolution.
Here Steven is talking about having rebase intelligently realize that
the upstream has accepted a patch, but did so by modifying it first.
There really isn't a solution to the problem.

pg tried to do this by applying several patches at once until
something matched.  If the upstream fixed a line like "a=b" to
be "a = b" then this would *never* match, and pg would abort.
StGIT runs the patches backwards.  A much smarter approach then
what pg tried to do, but again, "a = b" would never match.

-- 
Shawn.